Loading...
Searching...
No Matches
BALL::StaticLigandFragment::Connection Struct Reference

`#include <BALL/DOCKING/COMMON/staticLigandFragment.h>`

## Public Attributes

Atom * | atom
Atom * | neighbor_atom
StaticLigandFragment * | fragment

## Detailed Description

rotates the current and all connected ligand fragments (except static_fragment) around given axis (--> bond between two fragments) rotates the current and all connected ligand fragments (except static_fragment) according to a given transformation matrix A Connection represent a single rotatable bond which connects two StaticLigandFragments

Definition at line 47 of file staticLigandFragment.h.

## Member Data Documentation

## atom

Atom* BALL::StaticLigandFragment::Connection::atom

the position of this connection within neighbor_connections atom of this fragment that is part of this intra-fragment bond

Definition at line 53 of file staticLigandFragment.h.

## fragment

StaticLigandFragment* BALL::StaticLigandFragment::Connection::fragment

Definition at line 58 of file staticLigandFragment.h.

## neighbor_atom

Atom* BALL::StaticLigandFragment::Connection::neighbor_atom

atom of the neighbor fragment that is part of this intra-fragment bond

Definition at line 56 of file staticLigandFragment.h.